package handler

import (
	"context"

	"helmet/pkg/mlbctl"
)

func (hand *Handler) ListForwarders(ctx context.Context, req *mlbctl.ListForwardersParams) (*mlbctl.ListForwardersResult, error) {
	var err error
	res, err := hand.oper.ListForwarders(ctx, req)
	return res, err
}

func (hand *Handler) CreateForwarder(ctx context.Context, req *mlbctl.CreateForwarderParams) (*mlbctl.CreateForwarderResult, error) {
	var err error
	res, err := hand.oper.CreateForwarder(ctx, req)
	return res, err
}

func (hand *Handler) DeleteForwarder(ctx context.Context, req *mlbctl.DeleteForwarderParams) (*mlbctl.DeleteForwarderResult, error) {
	var err error
	res, err := hand.oper.DeleteForwarder(ctx, req)
	return res, err
}
